summaryrefslogtreecommitdiff
path: root/package/samba/samba-do-not-check-glibc-version.patch
diff options
context:
space:
mode:
authorHans-Christian Egtvedt <hans-christian.egtvedt@atmel.com>2008-12-12 09:09:51 +0000
committerHans-Christian Egtvedt <hans-christian.egtvedt@atmel.com>2008-12-12 09:09:51 +0000
commitf02a0408dcca36dcc996484e14bd52b9de9f48a6 (patch)
treebafb48e1a61d6ebcc5269bc6240dd9deccaae387 /package/samba/samba-do-not-check-glibc-version.patch
parent2bb1785adb14b50a648ab75614f78a3c7a5e5edc (diff)
samba: bump version to 3.2.5
This patch bumps Samba version to 3.2.5. In the process Samba now depends on libiconv. This dependency is needed because Samba wants to use various formats when talking to the different parts of the system. Two new patches are introduced, one to double check if BSD functions are available, and one to skip checking for glibc version. The use unsigned enum patch could be removed since this can be supplied with a autoconf variable. Signed-off-by: Hans-Christian Egtvedt <hans-christian.egtvedt@atmel.com>
Diffstat (limited to 'package/samba/samba-do-not-check-glibc-version.patch')
-rw-r--r--package/samba/samba-do-not-check-glibc-version.patch99
1 files changed, 99 insertions, 0 deletions
diff --git a/package/samba/samba-do-not-check-glibc-version.patch b/package/samba/samba-do-not-check-glibc-version.patch
new file mode 100644
index 000000000..9049cd70a
--- /dev/null
+++ b/package/samba/samba-do-not-check-glibc-version.patch
@@ -0,0 +1,99 @@
+--- a/source/configure
++++ b/source/configure
+@@ -40770,85 +40770,8 @@ fi
+
+ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
+-#
+-#
+-#
+-case "$host_os" in
+- *linux*)
+- # glibc <= 2.3.2 has a broken getgrouplist
+- if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-
+-#include <unistd.h>
+-#include <sys/utsname.h>
+-main() {
+- /* glibc up to 2.3 has a broken getgrouplist */
+-#if defined(__GLIBC__) && defined(__GLIBC_MINOR__)
+- int libc_major = __GLIBC__;
+- int libc_minor = __GLIBC_MINOR__;
+-
+- if (libc_major < 2)
+- exit(1);
+- if ((libc_major == 2) && (libc_minor <= 3))
+- exit(1);
+-#endif
+- exit(0);
+-}
+-
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_link") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_try") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- linux_getgrouplist_ok=yes
+-else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-linux_getgrouplist_ok=no
+-fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+-
+- if test x"$linux_getgrouplist_ok" = x"yes"; then
+-
+-cat >>confdefs.h <<\_ACEOF
+-#define HAVE_GETGROUPLIST 1
+-_ACEOF
+-
+- fi
+- ;;
+- *)
++# Stripped glibc test which is not needed for uClibc
++linux_getgrouplist_ok=yes
+
+ for ac_func in getgrouplist
+ do
+@@ -40943,8 +40866,6 @@ _ACEOF
+ fi
+ done
+
+- ;;
+-esac
+
+ #
+ # stat64 family may need <sys/stat.h> on some systems, notably ReliantUNIX